#include <bits/stdc++.h>

using namespace std;

int main ()
{
  char a[20];
  char b[20];
  char c[20];
  char resenje1[60];
  char resenje2[60];
  char resenje3[60];
  char resenje4[60];
  char resenje5[60];
  char resenje6[60];
  cin>>a;
  cin>>b;
  cin>>c;

  strcpy (resenje1,a);
  strcat (resenje1,b);
  strcat (resenje1,c);

  strcpy (resenje2,a);
  strcat (resenje2,c);
  strcat (resenje2,b);

  strcpy (resenje3,b);
  strcat (resenje3,a);
  strcat (resenje3,c);

  strcpy (resenje4,b);
  strcat (resenje4,c);
  strcat (resenje4,a);

  strcpy (resenje5,c);
  strcat (resenje5,a);
  strcat (resenje5,b);

  strcpy (resenje6,c);
  strcat (resenje6,b);
  strcat (resenje6,a);

    if(strcmp(resenje1,resenje2)>=0  &&  strcmp(resenje1,resenje3)>=0  &&  strcmp(resenje1,resenje4)>=0  &&  strcmp(resenje1,resenje5)>=0  &&  strcmp(resenje1,resenje6)>=0)
    {
        cout<<resenje1;
        return 0;
    }

    if(strcmp(resenje2,resenje1)>=0  &&  strcmp(resenje2,resenje3)>=0  &&  strcmp(resenje2,resenje4)>=0  &&  strcmp(resenje2,resenje5)>=0  &&  strcmp(resenje2,resenje6)>=0)
    {
        cout<<resenje2;
        return 0;
    }

    if(strcmp(resenje3,resenje1)>=0  &&  strcmp(resenje3,resenje2)>=0  &&  strcmp(resenje3,resenje4)>=0  &&  strcmp(resenje3,resenje5)>=0  &&  strcmp(resenje3,resenje6)>=0)
    {
        cout<<resenje3;
        return 0;
    }

    if(strcmp(resenje4,resenje1)>=0  &&  strcmp(resenje4,resenje2)>=0  &&  strcmp(resenje4,resenje3)>=0  &&  strcmp(resenje4,resenje5)>=0  &&  strcmp(resenje4,resenje6)>=0)
    {
        cout<<resenje4;
        return 0;
    }

    if(strcmp(resenje5,resenje2)>=0  &&  strcmp(resenje5,resenje3)>=0  &&  strcmp(resenje5,resenje4)>=0  &&  strcmp(resenje5,resenje1)>=0  &&  strcmp(resenje5,resenje6)>=0)
    {
        cout<<resenje5;
        return 0;
    }

    if(strcmp(resenje6,resenje2)>=0  &&  strcmp(resenje6,resenje3)>=0  &&  strcmp(resenje6,resenje4)>=0  &&  strcmp(resenje6,resenje5)>=0  &&  strcmp(resenje6,resenje1)>=0)
    {
        cout<<resenje6;
        return 0;
    }


    return 0;
}